Subject: Re: [PATCH] ip multicast route bug fix

From: Stephen Hemminger <[email-masked]>
Date: Tue, 25 Jul 2006 14:24:43 -0700

On Wed, 26 Jul 2006 01:17:25 +0400
Alexey Kuznetsov <[email-masked]> wrote:

> Hello!
> 
> > Wouldn't it be better to have a consistent interface (skb always freed),
> > and clone the skb if needed for deferred processing?
> 
> I think you mean this.
> 
> Note, it is real skb_clone(), not alloc_skb(). Equeued skb contains
> the whole half-prepared netlink message plus room for the rest.
> It could be also skb_copy(), if we want to be puristic about mangling
> cloned data, but original copy is really not going to be used.  
> 
> Alexey
> 

That is what I was thinking of. Doesn't matter copy or clone, I prefer
clone.